
Foreman - Bug #4459

UI plugin pages error finding root_path

02/26/2014 11:45 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Web Interface   

Target version: 1.4.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Encountered during UI plugin work

Fix is to change in _topbar.html.erb

<%= link_to "Foreman", root_path >

to

<= link_to "Foreman", main_app.root_path %>

Related issues:

Related to Foreman - Bug #4194: session timeout fails to redirect to foreman ... Closed 01/27/2014

Associated revisions

Revision bce4494d - 02/27/2014 01:35 PM - Thomas McKay

fixes #4459 - allows proper rendering of pages using root_path

Revision ccc1c1e3 - 02/27/2014 02:56 PM - Thomas McKay

Merge pull request #3751 from thomasmckay/4459

fixes #4459 - allows proper rendering of pages using root_path

Revision 33b384f2 - 03/07/2014 10:43 AM - Thomas McKay

fixes #4194, #4459 - add main_app to root_path references for isolated engines

Revision 24de6ee3 - 03/12/2014 10:42 AM - Thomas McKay

fixes #4194, #4459 - add main_app to root_path references for isolated engines

(cherry picked from commit 33b384f2b29363014608ac1b85061b5a8b4791d5)

History

#1 - 02/26/2014 11:49 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.9.1

https://github.com/theforeman/foreman/pull/1254

#2 - 02/27/2014 03:52 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello:katello|commit:bce4494d8c3d1d1d017db6b7e2fffae5a8f04203.

#3 - 02/27/2014 06:16 PM - Thomas McKay
https://github.com/theforeman/foreman/pull/1254


- Status changed from Closed to Ready For Testing

#4 - 03/03/2014 12:52 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#5 - 03/07/2014 10:44 AM - Dominic Cleal

- translation missing: en.field_release set to 7

#6 - 03/07/2014 10:44 AM - Dominic Cleal

- Related to Bug #4194: session timeout fails to redirect to foreman login screen added

#7 - 03/07/2014 02:31 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

Applied in changeset 33b384f2b29363014608ac1b85061b5a8b4791d5.
